@extends('layout')


@section('content')

<div class="page-header page-header-default">
	<div class="breadcrumb-line">
		<ul class="breadcrumb">
			<li><a href="index.html"><i class="icon-home2 position-left"></i> Produksi</a></li>
			<li class="active">Laporan Hasil</li>
		</ul>
	</div>
</div>

<div class="content">
	<div class="panel panel-flat">
		<div class="panel-heading">
			<h5 class="panel-title">Form Input Laporan Hasil</h5>
			<div class="heading-elements">
				<ul class="icons-list">
		      		<li><a data-action="collapse"></a></li>
		      	</ul>
	       	</div>
	    </div>
	    <div class="panel-body">
	    	<form class="form-horizontal" method="post" id="form_submit" action="{{ url('barangmasuk/simpan') }}" autocomplete="off">
	    	<input type="hidden" name="_token" value="{{ csrf_token() }}">
	    	<input type="hidden" name="id_barangmasuk" value="{{ $data['masuk']->id_barangmasuk }}">
	    	<input type="hidden" name="id_barangkeluar" value="{{ $data['masuk']->id_barangkeluar }}">
	    	<input type="hidden" name="barangkeluar" value="{{ $data['masuk']->id_barangkeluar }}">
	    	<input type="hidden" name="id_lokasi" value="{{ $data['masuk']->id_lokasi }}">
        	<div class="col-sm-6">
        		<div class="form-group">
        			<label class="control-label col-sm-4">Tanggal Selesai</label>
        			<div class="col-sm-8">
        				<input class="form-control datepicker" type="text" name="tanggal" placeholder="Tanggal" value="{{ tgl_full($data['masuk']->tanggal_selesai, '') }}" required/>
        			</div>
        		</div>
        		<div class="form-group">
        			<label class="control-label col-sm-4">Tanggal Pengambilan</label>
        			<div class="col-sm-8">
        				<input class="form-control" type="text" name="tanggal_pengambilan" placeholder="" value="{{ date('d-m-Y', strtotime($data['masuk']->tanggal_ambil)) }}" readonly/>
        			</div>
        		</div>
        		<div class="form-group">
        			<label class="control-label col-sm-4">Tanggal Perkiraan Selesai</label>
        			<div class="col-sm-8">
        				<input class="form-control" type="text" name="tanggal_perkiraan" placeholder="" value="{{ date('d-m-Y', strtotime($data['masuk']->tanggal_perkiraan)) }}" readonly/>
        			</div>
        		</div>

        		

        		<div class="form-group">
        			<label class="control-label col-sm-4">Status Proses</label>
        			<div class="col-sm-8"> @php $stat = $data['masuk']->status; @endphp
        				<select class="form-control select-search" name="status_proses">
        					<option value="0" {{ ($stat != '2') ? "selected":"" }}>Belum Selesai</option>
        					<option value="1" {{ ($stat == '2') ? "selected":"" }}>Selesai</option>
        				</select>
        			</div>
        		</div>

        		<div class="form-group">
        			<label class="control-label col-sm-4">Status SPK</label>
        			<div class="col-sm-8"> @php $stat = $data['masuk']->status_workorder; @endphp
        				<select class="form-control select-search" name="status_workorder">
        					<option value="0" {{ ($stat == '0') ? "selected":"" }}>Belum Selesai</option>
        					<option value="1" {{ ($stat == '1') ? "selected":"" }}>Selesai</option>
        				</select>
        			</div>
        		</div>
        	</div>
        	<div class="col-sm-6">
        		<div class="form-group">
        			<label class="control-label col-sm-4">Rekanan</label>
        			<div class="col-sm-8">
        				@php
        				if($data['masuk']->id_rekanan == '0'){
        				$rekanan = '-';
        			}else{
        				$rekanan = $data['masuk']->nama_rekanan.' - '.$data['masuk']->nama_kelompok;
        		}
        				@endphp
        				<input class="form-control" type="text" name="rekanan" placeholder="" value="{{ $rekanan }}" readonly/>
        			</div>
        		</div>
        		<div class="form-group">
        			<label class="control-label col-sm-4">Pegawai</label>
        			<div class="col-sm-8">
        				@php 
        				if($data['masuk']->id_pegawai == '0'){
        				$pegawai = '0';
        			}else{
        				$pegawai = $data['masuk']->nama_pegawai;
        		}
        				@endphp
        				<input class="form-control" type="text" name="pegawai" placeholder="" value="{{ $data['masuk']->nama_pegawai }}" readonly/>
        			</div>
        		</div>
        		<div class="form-group">
        			<label class="control-label col-sm-4">Proses Produksi</label>
        			<div class="col-sm-8">
        				<input class="form-control" type="text" name="proses" placeholder="" value="{{ $data['masuk']->nama_proses }}" readonly/>
        			</div>
        		</div>

        		<div class="form-group">
        			<label class="control-label col-sm-4">No. Order</label>
        			<div class="col-sm-8">
        				<input class="form-control" type="text" name="no_workorder_barang" placeholder="" value="{{ $data['masuk']->no_workorder_barang }}" readonly/>
        			</div>
        		</div>
        		<div class="form-group">
                    <label class="control-label col-sm-4">Nomor</label>
                    <div class="col-sm-3">
                        <input type="text" name="nomor" class="form-control">
                    </div>
                    <div class="col-sm-5">
                        <input type="text" name="nomor_ext" class="form-control">
                    </div>
                </div>  

       <!------------------ Proses Get Gudang dan Kualitas ---------------------------------> 

        		{{-- <select name="proses_gudang" class="hidden">
        			|<option value="">-- Pilih Gudang --</option>
	      						@php foreach($data['gudang'] as $row){
	      						
	      						@endphp
	      						<option value="{{$row->id_gudang}}" id="{{$row->id_gudang}}" nama="{{$row->nama_gudang}}">{{$row->nama_gudang}}</option>
	      						@php } @endphp
        		</select>
        		<select name="proses_kualitas" class="hidden">
        			|<option value="">-- Pilih Kualitas --</option>
	      						@php foreach($data['kualitas'] as $row){
	      						
	      						@endphp
	      						<option value="{{$row->id_kualitas}}" nama="{{$row->nama_kualitas}}">{{$row->nama_kualitas}}</option>
	      						@php } @endphp
        		</select> --}}

        	</div>
        	
        	<div class="col-sm-12 form-group">
	        	<h5 class="panel-title">Barang Diambil</h5>
	        	<div class="col-ms-12 table-responsive">
		        	<table class="table table-stripped" id="table_barang">
				    	<thead>
							<tr>
								<th>No</th>
								<th>Kode Barang</th>
								<th>Nama Barang</th>
								<th>Warna</th>
								<th>Gudang</th>
								<th>Jumlah</th>
								<th>Kualitas Produksi</th>
								<th>Corak</th>
								<th>Motif</th>
								<th>Kualitas</th>
								<th>Dudulan</th>
								<th>Label</th>
								<th>Cap</th>
								<th>Kemasan Satuan</th>
								<th>Kemasan 10 Potong</th>
								<th>Kemasan Dus Ball</th>
								<th>Keterangan</th>
							</tr>
						</thead>
						<tbody>
							@php $no=1; @endphp
							@foreach($data['barang'] as $d) 
							<tr>
								<td>{{$no++}}</td>
								<td>{{ $d->kode_barang }}</td>
								<td>{{ $d->nama_barang }}</td>
								<td>{{ $d->nama_komposisi }}</td>
								<td>{{ $d->nama_gudang }}</td>
								<td>{{ $d->jumlah }}</td>
								<td>{{ $d->nama_kualitas_proses }}</td>
								<td>{{ $d->motif_keterangan }}</td>
								<td>{{ $d->nama_motif }}</td>
								<td>{{ $d->nama_kualitas }}</td>
								<td>{{ $d->kualitas_dudul }}</td>
								<td>{{ $d->nama_label }}</td>
								<td>{{ $d->nama_cap }}</td>
								<td>{{ $d->nama_kemasansatuan }}</td>
								<td>{{ $d->nama_kemasansepuluh }}</td>
								<td>{{ $d->nama_kemasanseratus }}</td>
								<td>{{ $d->keterangan }}</td>
							</tr>
							@endforeach
						</tbody>
				    </table>
	        	</div>
        	</div>

        	{{-- @php if(count($data['sisa']) > 0){  @endphp
        	<div class="col-sm-12 form-group">
	        	<h5 class="panel-title">Belum Diserahkan</h5>
	        	<div class="col-sm-12 table-responsive">
		        	<table class="table table-stripped" id="table_sisa">
				    	<thead>
							<tr>
								<th>No</th>
								<th>Kode Barang</th>
								<th>Nama Barang</th>
								<th>Warna</th>
								<th>Gudang</th>
								<th>Jumlah</th>
								<th>Kualitas Produksi</th>
								<th>Corak</th>
								<th>Motif</th>
								<th>Kualitas</th>
								<th>Dudulan</th>
								<th>Label</th>
								<th>Cap</th>
								<th>Kemasan</th>
								<th>Kemasan Satuan</th>
								<th>Kemasan 10 Potong</th>
								<th>Kemasan Dus Ball</th>
								
							</tr>
						</thead>
						<tbody>
							@php $no=1; @endphp
							@foreach($data['sisa'] as $s) 
							<tr>
								<td>{{$no++}}</td>
								<td>{{ $s['kode_barang'] }}</td>
								<td>{{ $s['nama_barang'] }}</td>
								<td>{{ $s['nama_komposisi'] }}</td>
								<td>{{ $s['nama_gudang'] }}</td>
								<td>{{ $s['stok'] }}</td>
								<td>{{ $s['nama_kualitas_proses'] }}</td>
								<td>{{ $s['nama_corak'] }}</td>
								<td>{{ $s['nama_motif'] }}</td>
								<td>{{ $s['nama_kualitas'] }}</td>
								<td>{{ $s['kualitas_dudul'] }}</td>
								<td>{{ $s['nama_label'] }}</td>
								<td>{{ $s['nama_cap'] }}</td>
								<td>{{ $s['nama_kemasan'] }}</td>
								<td>{{ $s['nama_kemasansatuan'] }}</td>
								<td>{{ $s['nama_kemasansepuluh'] }}</td>
								<td>{{ $s['nama_kemasanseratus'] }}</td>
								
							</tr>
							@endforeach
						</tbody>
				    </table>
	        	</div>
        	</div>

        	@php }	@endphp --}}
            
            <div class="col-sm-12 form-group table-responsive">
	        	<h5 class="panel-title">Barang Disetor</h5>
	        	<br><a href="#" class="btn btn-success" style="margin-bottom: 1%;" id="btn_tambah_item">Tambah Barang</a>
		        	<table class="table table-stripped" id="table_hasil">
				    	<thead>
							<tr>
								<th>No</th>
								<th>Kode Barang</th>
								<th>Nama Barang</th>
								<th>Warna</th>
								<th>Jumlah</th>
								<th>Satuan</th>								
								<th>Hasil</th>
								<th>Satuan Hasil</th>
								<th>Gudang</th>
								<th>Corak</th>
								<th>Aksi</th>
							</tr>
						</thead>
						<tbody id="body_setor">
						</tbody>
			    	</table>
        	</div>
        	<div class="col-sm-12">
        	<a href="{{url('barangmasuk')}}" class="btn bg-warning-400">Kembali</a>
            <div class="form-group pull-right">
             	<button class="btn btn-primary" type="submit" id="btn_simpan">Simpan</button>
             	<button class="btn btn-primary" type="submit" id="btn_lanjutkan">Lanjutkan</button>
            </div>
            </div>
	    </div>


		<input type="hidden" name="td_total" class="form-control">
		<input type="hidden" name="td_netto" class="form-control">
	    </form>
	</div>
</div>

<!---Modal--->


<div class="modal fade" id="exampleModal" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
	<div class="modal-dialog modal-lg" role="document">
	    <div class="modal-content">
	    	<div class="modal-header">
	    		<h5 class="modal-title" id="exampleModalLabel">Data</h5>
	    		<button type="button" class="close" data-dismiss="modal" aria-label="Close"> <span aria-hidden="true">&times;</span></button>
	      	</div>
	      	<div class="modal-body">
	      		<form class="form-horizontal" autocomplete="off">
	      			<input type="hidden" name="popup_id_table">
	      			<div class="form-group">
	      				<label class="control-label col-sm-4">Barang</label>
	      				<div class="col-sm-8">
	      			 	<select class="form-control select-search" name="popup_barang">
	      			 		
	      			 	</select>
	      			 	<!-- <input type="text" name="popup_barang" class="form-control" readonly=""> -->
	      				</div>
	      			</div>
	      			<div class="form-group">
	      				<label class="control-label col-sm-4">Gudang</label>
	      				<div class="col-sm-8">
	      			 	<select class="form-control select-search" name="popup_gudang">
	      			 		
	      			 	</select>
	      				</div>
	      			</div>
	      			<!-- <div class="form-group">
	      				<label class="control-label col-sm-4">Upah</label>
	      				<div class="col-sm-8">
	      			 	<input type="text" class="form-control" name="popup_upah" readonly="">
	      			 	<input type="hidden" name="popup_idupah" id="popup_idupah">
	      			 	<p class="help-block pull-right" id="popup_upah_text"></p>
	      				</div>
	      			</div> -->
	      			<div class="form-group">
	      				<label class="control-label col-sm-4">Kualitas</label>
	      				<div class="col-sm-8">	
	      			 		<select name="popup_kualitasproses" class="form-control select-search">
	      			 		
	      			 		</select>
	      				</div>
	      			</div>
	      			{{-- <div class="form-group" id="div_konversi">
	      				<label class="control-label col-sm-4">Jumlah Konversi <b id="div_satuanjumlah_konversi"></b></label>
	      				<div class="col-sm-8">
	      			 	<input type="text" name="popup_jumlah_konv" class="form-control number-only" onkeyup="maksimal($(this))">
	      				</div>
	      			</div> --}}
	      			<div class="form-group">
	      				<label class="control-label col-sm-4">Warna</label>
	      				<div class="col-sm-8">
	      					<input type="hidden" name="popup_idkomposisi">
	      			 	{{-- 	<input type="text" name="popup_komposisi" class="form-control"> --}}
	      			 		<select name="popup_komposisi" class="form-control select-search">
	      			 			<option value="0" name="Tanpa Warna">Tanpa Warna</option>
	      			 			@foreach($data['warna'] as $w){
	      			 			<option value="{{ $w->id_komposisi }}" name="{{ $w->nama }}">{{ $w->nama.' ('.$w->inisial.')' }}</option>
	      			 			@endforeach
	      			 		</select>
	      				</div>
	      			</div>
	      			<div class="form-group">
	      				<label class="control-label col-sm-4">Corak</label>
	      				<div class="col-sm-8">
	      					
	      			 		<select name="popup_corak" class="form-control select-search">
	      			 		</select>
	      				</div>
	      			</div>
	      			<div class="form-group" id="div_motif">
	      				<label class="control-label col-sm-4">Motif</label>
	      				<div class="col-sm-8">
	      					
	      			 		<select name="popup_motif" class="form-control select-search">
	      			 		</select>
	      				</div>
	      			</div>	    
	      			<div class="form-group" id="div_kualitas">
	      				<label class="control-label col-sm-4">Kualitas Tenun</label>
	      				<div class="col-sm-8">	
	      			 		<select name="popup_kualitas" class="form-control select-search">
	      			 			
	      			 		</select>
	      				</div>
	      			</div>
	      			<div class="form-group" id="div_dudul">
	      				<label class="control-label col-sm-4">Kualitas Dudulan</label>
	      				<div class="col-sm-8">	
	      			 		<select name="popup_dudul" class="form-control select-search">
	      			 			<option value="" nama="">-- Pilih Dudulan --</option>
	      			 			<option value="1" nama="Baik">Baik</option>
	      			 			<option value="2" nama="Jelek">Jelek</option>
	      			 		</select>
	      				</div>
	      			</div>
	      			<div class="form-group" id="div_kualitas">
	      				<label class="control-label col-sm-4">Kualitas Periksa</label>
	      				<div class="col-sm-8">	
	      			 		<select name="popup_periksa" class="form-control select-search">
	      			 			
	      			 		</select>
	      				</div>
	      			</div> 
	      			<div class="form-group" id="div_dudul">
	      				<label class="control-label col-sm-4">Label</label>
	      				<div class="col-sm-8">	
	      			 		<select name="popup_label" class="form-control select-search">
	      			 			
	      			 		</select>
	      				</div>
	      			</div>  
	      			<div class="form-group">
	      				<label class="control-label col-sm-4">Cap</label>
	      				<div class="col-sm-8">	
	      			 		<select name="popup_cap" class="form-control select-search">
	      			 			
	      			 		</select>
	      				</div>
	      			</div>  
	      			<div class="form-group">
	      				<label class="control-label col-sm-4">Kemasan Awal</label>
	      				<div class="col-sm-8">	
	      			 		<select name="popup_kemasan" class="form-control select-search">
	      			 			
	      			 		</select>
	      				</div>
	      			</div>    
	      			<div class="form-group" id="div_kemasansatuan">
	      				<label class="control-label col-sm-4">Kemasan Satuan</label>
	      				<div class="col-sm-8">	
	      			 		<select name="popup_kemasansatuan" class="form-control select-search">
	      			 			
	      			 		</select>
	      				</div>
	      			</div>
	      			<div class="form-group" id="div_kemasansepuluh">
	      				<label class="control-label col-sm-4">Kemasan 10 Potong</label>
	      				<div class="col-sm-8">	
	      			 		<select name="popup_kemasansepuluh" class="form-control select-search">
	      			 			
	      			 		</select>
	      				</div>
	      			</div>

	      			<div class="form-group" id="div_kemasanseratus">
	      				<label class="control-label col-sm-4">Kemasan Dosball</label>
	      				<div class="col-sm-8">	
	      			 		<select name="popup_kemasanseratus" class="form-control select-search">
	      			 			
	      			 		</select>
	      				</div>
	      			</div>	
	      			<div class="form-group" id="div_jahit" style="display: none;">
	      				<label class="control-label col-sm-4">Jenis Jahit</label>
	      				<div class="col-sm-8">	
	      			 		<select name="popup_jahit" class="form-control select-search">
	      			 			
	      			 		</select>
	      				</div>
	      			</div>
	      			<div class="form-group">
	      				<label class="control-label col-sm-4">Keterangan</b></label>
	      				<div class="col-sm-8">
	      			 		<textarea class="form-control" name="popup_keterangan"></textarea>
	      				</div>
	      			</div>
	      			<hr/>
	      			<p style="color:red;" id="c_peringatan"></p>
	      			<div class="form-group">
	      				<label class="control-label col-sm-4">Jumlah {{-- <b id="div_satuanjumlah"> --}}</b></label>
	      				<div class="col-sm-8">
	      			 	<input type="text" name="popup_jumlah" class="form-control number-only" onkeyup="maksimal($(this)); "> {{-- get_perubahansatuan($(this), 1) --}}
	      				</div>
	      			</div>
	      			<div class="form-group">
	      				<label class="control-label col-sm-4">Satuan {{-- <b id="div_satuanjumlah"> --}}</b></label>
	      				<div class="col-sm-8">
	      			 		<select class="form-control select-search" name="popup_satuan">
	      			 			@foreach($data['satuan'] as $s){
	      			 				<option value="{{ $s->id_satuan }}" name="{{ $s->nama_satuan }}">{{ $s->nama_satuan }}</option>
	      			 			@endforeach 
	      			 		</select>
	      				</div>
	      			</div>

	      			<div class="form-group" id="all_menghasilkan">
	      				<label class="control-label col-sm-4"><b>Menghasilkan</b></label>
	      				<div class="col-sm-8">
	      			 	<b id="id_menghasilkan" class="control-label"></b>
	      			 	<input type="hidden" name="popup_satuanrencana">
	      			 	<input type="hidden" name="popup_jumlahrencana">
	      			 	<input type="hidden" name="popup_nama_satuanrencana">
	      			 	<input type="hidden" name="popup_stokrencana">
	      				</div>
	      			</div>
	      			<div class="form-group">
	      				<label class="control-label col-sm-4"><b>Menghasilkan</b></label>
	      				<div class="col-sm-8">
	      					<input type="text" name="popup_menghasilkan" class="form-control number-only" onkeyup="">
	      				</div>
	      			</div>
	      			<div class="form-group">
	      				<label class="control-label col-sm-4"><b>Satuan Menghasilkan</b></label>
	      				<div class="col-sm-8">
	      					
	      					<select class="form-control select-search" name="popup_satuanhasil">
	      						<option value="">---- Pilih Satuan ----</option>
	      						@foreach($data['satuan'] as $s){
	      			 				<option value="{{ $s->id_satuan }}" name="{{ $s->nama_satuan }}">{{ $s->nama_satuan }}</option>
	      			 			@endforeach 
	      					</select>
	      				</div>
	      			</div>		
	      		</form>
	      	</div>
	      	<div class="modal-footer">
	        	<button type="button" class="btn btn-primary" id="btn_popup_simpan">Simpan</button>
	      	</div>
	    </div>
	</div>
</div>

<input type="hidden" name="store_konversi">
<input type="hidden" name="store_idproses" placeholder="" value="{{ $data['masuk']->id_proses }}"/>
<input type="hidden" name="store_namaproses" placeholder="" value="{{ strtolower($data['masuk']->nama_proses) }}"/>

<script type="text/javascript">

	$("#btn_tambah_item").click(function(){
		$("[name=popup_id_table]").val('');
		$("[name=popup_barang]").val(null).trigger('change');
		$("[name=popup_gudang]").val(null).trigger('change');
		$("[name=popup_jumlah]").val('');
		$("[name=popup_upah]").val('');
		$("[name=popup_kualitas]").val(null).trigger('change');
		$("[name=popup_komposisi]").val(null).trigger('change');
		$("[name=popup_corak]").val(null).trigger('change');
		$("[name=popup_motif]").val(null).trigger('change');
		$("[name=popup_kual]").val(null).trigger('change');
		$("[name=popup_dudul]").val(null).trigger('change');
		$("[name=popup_label]").val(null).trigger('change');
		$("[name=popup_cap]").val(null).trigger('change');
		$("[name=popup_kemasan]").val(null).trigger('change');
		$("[name=popup_kemasansatuan]").val(null).trigger('change');
		$("[name=popup_kemasansepuluh]").val(null).trigger('change');
		$("[name=popup_kemasanseratus]").val(null).trigger('change');
		$("[name=popup_jahit]").val(null).trigger('change');
		$("[name=popup_keterangan]").val('');
		//--- perubahan satuan
		$("[name=popup_satuanrencana]").val('');
		$("[name=popup_jumlahrencana]").val('');
		$("[name=popup_nama_satuanrencana]").val('');
		$("[name=popup_stokrencana]").val('');
		$("#id_menghasilkan").text('');

		$("#all_menghasilkan").hide();
		$("#c_peringatan").hide();
		$("#c_peringatan").text('');

		$("[name=popup_menghasilkan]").val('');
		$("[name=popup_satuanhasil]").val('');

		$("#exampleModal").modal('show');
	})

	var table_barang;
	var table_hasil;
	var tb_no = parseInt(10000);
	var id_masuk;
	$(document).ready(function(){
		table_barang = $("#table_barang").DataTable({
			"paging": false
		});
		table_barang.on( 'order.dt search.dt', function () {
            table_barang.column(0, {search:'applied', order:'applied'}).nodes().each( function (cell, i) {
                cell.innerHTML = i+1;
            } );
        } ).draw();
        table_hasil = $("#table_hasil").DataTable({
        	"paging": false
        });
		table_hasil.on( 'order.dt search.dt', function () {
            table_hasil.column(0, {search:'applied', order:'applied'}).nodes().each( function (cell, i) {
                cell.innerHTML = i+1;
            } );
        } ).draw();
        
        id_masuk = $("[name=id_barangmasuk]").val();

        if(id_masuk != ''){
        	get_edit(id_masuk);
        }
		get_barang();
        // get_gudang();
        // get_kualitas();
        // get_kualitas_proses();
        // get_corak();
        // get_motif();
        // get_label();
        // get_kemasan();
        // get_cap();
        // get_kualitas_periksa();

        // get_kemasansatuan();
        // get_kemasansepuluh();
        // get_dosball();

        get_nomor();

        id_proses = $("[name=store_idproses]").val();
        nama_proses = $("[name=store_namaproses]").val();

        if(id_proses == '37' || nama_proses == 'tenun'){
        	$("#div_motif").hide();
			$("#div_kualitas").hide();
			$("#div_dudul").hide();
			$("#div_label").hide();

			$("#div_kemasansatuan").hide();
			$("#div_kemasansepuluh").hide();
			$("#div_kemasanseratus").hide();

        	$("#btn_simpan").hide();
        	$("#btn_lanjutkan").show();
        	$("#form_submit").attr('action', '{{ url('barangmasuk/proses_lanjutan_kualitas') }}');
   //      }else if(id_proses == '41' || nama_proses == 'dudulan'){
   //      	$("#div_motif").hide();
			// $("#div_kualitas").hide();
			// $("#div_dudul").hide();
			// $("#div_label").hide();

			// $("#div_kemasansatuan").hide();
			// $("#div_kemasansepuluh").hide();
			// $("#div_kemasanseratus").hide();

   //      	$("#btn_simpan").hide();
   //      	$("#btn_lanjutkan").show();
   //      	$("#form_submit").attr('action', '{{ url('barangmasuk/proses_lanjutan_dudulan') }}');
        }else if(id_proses == 45){
        	$("#div_jahit").show();
        	$("#btn_simpan").show();
        	$("#btn_lanjutkan").hide();
        	$("#form_submit").attr('action', '{{ url('barangmasuk/simpan') }}');
        }
   //      else if(id_proses < 41 && id_proses != 32){
   //      	$("#div_motif").hide();
			// $("#div_kualitas").hide();
			// $("#div_dudul").hide();
			// $("#div_label").hide();
			// $("#div_kemasansatuan").hide();
			// $("#div_kemasansepuluh").hide();
			// $("#div_kemasanseratus").hide();

   //      	$("#btn_simpan").show();
   //      	$("#btn_lanjutkan").hide();
   //      	$("#form_submit").attr('action', '{{ url('barangmasuk/simpan') }}');
   //      }else if(id_proses > 41 && id_proses < 71){
   //      	$("#div_motif").hide();
			// $("#div_kualitas").hide();
			// $("#div_dudul").hide();
			// $("#div_label").hide();
			// $("#div_kemasansatuan").hide();
			// $("#div_kemasansepuluh").hide();
			// $("#div_kemasanseratus").hide();

   //      	$("#btn_simpan").show();
   //      	$("#btn_lanjutkan").hide();
   //      	$("#form_submit").attr('action', '{{ url('barangmasuk/simpan') }}');
   //      }
   //      else if(id_proses == '79' || nama_proses == 'pengemasan satuan'){
			// $("#div_kemasansepuluh").hide();
			// $("#div_kemasanseratus").hide();

			// $("#btn_simpan").show();
   //      	$("#btn_lanjutkan").hide();
   //      	$("#form_submit").attr('action', '{{ url('barangmasuk/simpan') }}');	
   //      }
        else{
        	$("#btn_simpan").show();
        	$("#btn_lanjutkan").hide();
        	$("#form_submit").attr('action', '{{ url('barangmasuk/simpan') }}');
        }

	})

	

	function get_barang(){
		$.ajax({
			url: '{{ url('barangmasuk/get_barang') }}',
			success: function(respon){
				$("[name=popup_barang]").html('');
				$("[name=popup_barang]").append('<option value="">--- Pilih Barang ---</option>')
				if(respon.barang.length > 0){
					for(i in respon.barang){
						$("[name=popup_barang]").append('<option value="'+respon.barang[i].id_barang+'" nama="'+respon.barang[i].nama_barang+'" kode="'+respon.barang[i].kode_barang+'" satuan="'+respon.barang[i].satuan+'">'+respon.barang[i].kategori+' - '+respon.barang[i].nama_sub+' - '+respon.barang[i].kode_barang+' - '+respon.barang[i].nama_barang+'</option>');
					}
				}

				$("[name=popup_gudang]").html('');
				$("[name=popup_gudang]").append('<option value="">--- Pilih Gudang ---</option>');
				if(respon.gudang.length > 0){
					for(i in respon.gudang){
						$("[name=popup_gudang]").append('<option value="'+respon.gudang[i].id_gudang+'" nama="'+respon.gudang[i].nama_gudang+'">'+respon.gudang[i].nama_gudang+'</option>');
					}
				}

				$("[name=popup_motif]").html('');
				$("[name=popup_motif]").append('<option value="" nama="">--- Pilih motif ---</option>');
				if(respon.motif.length > 0){
					for(i in respon.motif){
						$("[name=popup_motif]").append('<option value="'+respon.motif[i].id_motif+'" nama="'+respon.motif[i].nama_motif+'">'+respon.motif[i].nama_motif+'</option>');
					}
				}

				$("[name=popup_corak]").html('');
				$("[name=popup_corak]").append('<option value="" nama="">--- Pilih corak ---</option>');
				if(respon.corak.length > 0){
					for(i in respon.corak){
						$("[name=popup_corak]").append('<option value="'+respon.corak[i].id_motif_barang+'" nama="'+respon.corak[i].motif_keterangan+'">'+respon.corak[i].motif_keterangan+'</option>');
					}
				}

				$("[name=popup_kual]").html('');
				$("[name=popup_kual]").append('<option value="" nama="">--- Pilih Kualitas ---</option>')
				if(respon.kualitas.length > 0){
					for(i in respon.kualitas){
						$("[name=popup_kual]").append('<option value="'+respon.kualitas[i].id_kualitas+'" nama="'+respon.kualitas[i].nama_kualitas+'">'+respon.kualitas[i].nama_kualitas+'</option>');
					}
				}

				$("[name=popup_kualitasproses]").html('');
				$("[name=popup_kualitasproses]").append('<option value="0" nama="">--- Pilih Kualitas ---</option>')
				if(respon.kualitas_proses.length > 0){
					for(i in respon.kualitas_proses){
						$("[name=popup_kualitasproses]").append('<option value="'+respon.kualitas_proses[i].id_kualitas+'" nama="'+respon.kualitas_proses[i].nama_kualitas+'">'+respon.kualitas_proses[i].nama_kualitas+'</option>');
					}
				}

				$("[name=popup_periksa]").html('');
				$("[name=popup_periksa]").append('<option value="0" nama="">--- Pilih Kualitas ---</option>')
				if(respon.kualitas_periksa.length > 0){
					for(i in respon.kualitas_periksa){
						$("[name=popup_periksa]").append('<option value="'+respon.kualitas_periksa[i].id_kualitas+'" nama="'+respon.kualitas_periksa[i].nama_kualitas+'">'+respon.kualitas_periksa[i].nama_kualitas+'</option>');
					}
				}

				$("[name=popup_cap]").html('');
				$("[name=popup_cap]").append('<option value="" nama="">--- Pilih ---</option>')
				if(respon.cap.length > 0){
					for(i in respon.cap){
						$("[name=popup_cap]").append('<option value="'+respon.cap[i].id_barang+'" nama="'+respon.cap[i].nama_barang+'">'+respon.cap[i].nama_barang+'</option>');
					}
				}

				$("[name=popup_label]").html('');
				$("[name=popup_label]").append('<option value="" nama="">--- Pilih ---</option>')
				if(respon.labell.length > 0){
					for(i in respon.labell){
						$("[name=popup_label]").append('<option value="'+respon.labell[i].id_barang+'" nama="'+respon.labell[i].nama_barang+'" kode="'+respon.labell[i].kode_barang+'">'+respon.labell[i].nama_barang+'</option>');
					}
				}

				$("[name=popup_kemasan]").html('');
				$("[name=popup_kemasan]").append('<option value="" nama="">--- Pilih ---</option>')
				if(respon.kemasan.length > 0){
					for(i in respon.kemasan){
						$("[name=popup_kemasan]").append('<option value="'+respon.kemasan[i].id+'" nama="'+respon.kemasan[i].nama_barang+'">'+respon.kemasan[i].nama_barang+'</option>');
					}
				}

				$("[name=popup_kemasansatuan]").html('');
				$("[name=popup_kemasansatuan]").append('<option value="" nama="">--- Pilih ---</option>')
				if(respon.kemasansatuan.length > 0){
					for(i in respon.kemasansatuan){
						$("[name=popup_kemasansatuan]").append('<option value="'+respon.kemasansatuan[i].id_barang+'" nama="'+respon.kemasansatuan[i].nama_barang+'">'+respon.kemasansatuan[i].nama_barang+'</option>');
					}
				}

				$("[name=popup_kemasansepuluh]").html('');
				$("[name=popup_kemasansepuluh]").append('<option value="" nama="">--- Pilih ---</option>')
				if(respon.kemasansepuluh.length > 0){
					for(i in respon.kemasansepuluh){
						$("[name=popup_kemasansepuluh]").append('<option value="'+respon.kemasansepuluh[i].id+'" nama="'+respon.kemasansepuluh[i].nama_barang+'">'+respon.kemasansepuluh[i].nama_barang+'</option>');
					}
				}

				$("[name=popup_kemasanseratus]").html('');
				$("[name=popup_kemasanseratus]").append('<option value="" nama="">--- Pilih ---</option>')
				if(respon.kemasanseratus.length > 0){
					for(i in respon.kemasanseratus){
						$("[name=popup_kemasanseratus]").append('<option value="'+respon.kemasanseratus[i].id_barang+'" nama="'+respon.kemasanseratus[i].nama_barang+'">'+respon.kemasanseratus[i].nama_barang+'</option>');
					}
				}

				$("[name=popup_jahit]").html('');
				$("[name=popup_jahit]").append('<option value="" nama="">--- Pilih ---</option>')
				if(respon.proses_jahit.length > 0){
					for(i in respon.proses_jahit){
						$("[name=popup_jahit]").append('<option value="'+respon.proses_jahit[i].id_proses+'" nama="'+respon.proses_jahit[i].nama_proses+'">'+respon.proses_jahit[i].nama_proses+'</option>');
					}
				}
			}
		})
	}

	

	

	function get_proses_jml(jml,upah,id){
		var p_jml = parseFloat(jml);
		if(isNaN(p_jml) || p_jml == 0 || p_jml == ""){
			p_jml = parseFloat(0);
		}

		var p_upah = parseFloat(upah);
		if(isNaN(p_upah) || p_upah == 0 || p_upah == ""){
			p_upah = parseFloat(0);
		}
		var tot = p_jml*p_upah;
		$('#list_total'+id).text(curr(tot));
		$('#tabel_total'+id).val(tot);
		// console.log(tot);
	}

	$("#btn_popup_simpan").click(function(){
		var id_data = $("[name=popup_id_table]").val();
		var id_barang = $("[name=popup_barang]").val();
		var id_gudang = $("[name=popup_gudang]").val();
		var id_upah = $("[name=popup_idupah]").val();
		var kode_barang = $("[name=popup_barang] :selected").attr('kode');
		var nama_barang = $("[name=popup_barang] :selected").attr('nama');
		var nama_gudang = $("[name=popup_gudang] :selected").attr('nama');
		var upah = $("[name=popup_upah]").val();
		var jumlah = $("[name=popup_jumlah]").val();
		
		var satuan = $("[name=popup_satuan]").val();
		var nama_satuan = $("[name=popup_satuan] :selected").attr('name');

		var id_komposisi = $("[name=popup_komposisi]").val();
		var komposisi = $("[name=popup_komposisi] :selected").attr('name');

		var id_corak = $("[name=popup_corak]").val();
		var corak = $("[name=popup_corak] :selected").attr('nama');

		var id_motif = $("[name=popup_motif]").val();
		var motif = $("[name=popup_motif] :selected").attr('nama');

		var id_kualitas = $("[name=popup_kualitas]").val();
		var kualitas = $("[name=popup_kual] :selected").attr('nama');

		var id_dudul = $("[name=popup_dudul]").val();
		var dudul = $("[name=popup_dudul] :selected").attr('nama');		

		var id_label = $("[name=popup_label]").val();
		var label = $("[name=popup_label] :selected").attr('nama');

		var id_kemasan = $("[name=popup_kemasan]").val();
		var kemasan = $("[name=popup_kemasan] :selected").attr('nama');	


		var id_kemasansatuan = $("[name=popup_kemasansatuan]").val();
		var kemasan_satuan = $("[name=popup_kemasansatuan] :selected").attr('nama');	

		var id_kemasansepuluh = $("[name=popup_kemasansepuluh]").val();
		var kemasan_sepuluh = $("[name=popup_kemasansepuluh] :selected").attr('nama');

		var id_kemasanseratus = $("[name=popup_kemasanseratus]").val();
		var kemasan_seratus = $("[name=popup_kemasanseratus] :selected").attr('nama');

		var id_cap = $("[name=popup_cap]").val();
		var nama_cap = $("[name=popup_cap] :selected").attr('nama');	

		var id_kualitasproses = $("[name=popup_kualitasproses]").val();

		var id_kualitasperiksa = $("[name=popup_periksa]").val();
		var keterangan = $("[name=popup_keterangan]").val();
		var id_jahit = $("[name=popup_jahit]").val();
		//-- perubahan satuan
		// var jumlah_perubahan = $("[name=popup_jumlahrencana]").val();
		// var satuan_perubahan = $("[name=popup_satuanrencana]").val();
		// var nama_satuanperubahan = $("[name=popup_nama_satuanrencana]").val();
		// var total_perubahan = $("[name=popup_stokrencana]").val();

		var jumlah_perubahan = $("[name=popup_menghasilkan]").val();
		var jumlah_perubahan = '0';
		var tampil_jp = 0;
		var jumlah_hasil = $("[name=popup_menghasilkan]").val();
		var satuan_perubahan = '';
		var nama_satuanperubahan = '';
		if($("[name=popup_menghasilkan]").val() != ''){
			var satuan_perubahan = $("[name=popup_satuanhasil]").val();
			var nama_satuanperubahan = $("[name=popup_satuanhasil] :selected").attr('name');

			jumlah_perubahan = parseFloat(jumlah_hasil)/parseFloat(jumlah);
			jumlah_perubahan = number_test(jumlah_perubahan);
			tampil_jp = parseFloat(jumlah)*parseFloat(jumlah_perubahan);
			tampil_jp = number_test(tampil_jp);
		}

		if(id_barang != '' && jumlah != '' && jumlah != 0 && id_gudang != '' && satuan != ''){
			if(id_data == ''){
				table_hasil.row.add(['<div><center></center></div>',
					'<div id="list_kode'+tb_no+'">'+kode_barang+'</div>',
					'<div id="list_nama'+tb_no+'">'+nama_barang+'</div>',
					'<div id="list_komposisi'+tb_no+'">'+komposisi+'</div>',
					'<div id="list_jumlah'+tb_no+'">'+jumlah+'</div>',
					// '<div id="list_jumlah_konv'+tb_no+'">'+jumlah_konv+'</div>',
					'<div id="list_namasatuan'+tb_no+'">'+nama_satuan+'</div>',
					'<div id="list_perubahan'+tb_no+'">'+tampil_jp+'</div>',
					'<div id="list_namasatuan_perubahan'+tb_no+'">'+nama_satuanperubahan+'</div>',
					'<div id="list_gudang'+tb_no+'">'+nama_gudang+'</div>',
					'<div id="list_corak'+tb_no+'">'+corak+'</div>',
					'<div><button type="button" class="btn bg-warning-400" onclick="edit_table('+tb_no+')"><i class="icon-pencil"></i> </button><button class="btn bg-danger-800" type="button"  onclick="hapus($(this))""><i class="icon-eraser"></i></button></div>'+
					'<input type="hidden" id="tabel_idtable'+tb_no+'" name="tabel_idtable[]" value="">'+
					'<input type="hidden" name="tabel_id[]" class="tabel_id" id="tabel_id'+tb_no+'" value="'+tb_no+'">'+
							'<input type="hidden" name="tabel_idbarang[]" id="tabel_idbarang'+tb_no+'" value="'+id_barang+'">'+
							'<input type="hidden" name="tabel_idgudang[]" id="tabel_idgudang'+tb_no+'" value="'+id_gudang+'">'+
							'<input type="hidden" name="tabel_jumlah[]" id="tabel_jumlah'+tb_no+'" value="'+jumlah+'">'+
							'<input type="hidden" name="tabel_jumlah_perubahan[]" id="tabel_jumlah_perubahan'+tb_no+'" value="'+jumlah_perubahan+'">'+
							'<input type="hidden" name="tabel_stok_perubahan[]" id="tabel_stok_perubahan'+tb_no+'" value="">'+
							'<input type="hidden" name="tabel_komposisi[]" id="tabel_komposisi'+tb_no+'" value="'+komposisi+'">'+
							'<input type="hidden" name="tabel_idkomposisi[]" id="tabel_idkomposisi'+tb_no+'" value="'+id_komposisi+'">'+
							'<input type="hidden" name="tabel_idsatuan[]" id="tabel_idsatuan'+tb_no+'" value="'+satuan+'">'+
							'<input type="hidden" name="tabel_idsatuan_perubahan[]" id="tabel_idsatuan_perubahan'+tb_no+'" value="'+satuan_perubahan+'">'+
							'<input type="hidden" name="tabel_idcorak[]" id="tabel_idcorak'+tb_no+'" value="'+id_corak+'">'+
							'<input type="hidden" name="tabel_idmotif[]" id="tabel_idmotif'+tb_no+'" value="'+id_motif+'">'+
							'<input type="hidden" name="tabel_idkualitas[]" id="tabel_idkualitas'+tb_no+'" value="'+id_kualitas+'">'+
							'<input type="hidden" name="tabel_iddudul[]" id="tabel_iddudul'+tb_no+'" value="'+id_dudul+'">'+
							'<input type="hidden" name="tabel_idlabel[]" id="tabel_idlabel'+tb_no+'" value="'+id_label+'">'+
							'<input type="hidden" name="tabel_idkemasan[]" id="tabel_idkemasan'+tb_no+'" value="'+id_kemasan+'">'+
							'<input type="hidden" name="tabel_idkemasansatuan[]" id="tabel_idkemasansatuan'+tb_no+'" value="'+id_kemasansatuan+'">'+
							'<input type="hidden" name="tabel_idkemasansepuluh[]" id="tabel_idkemasansepuluh'+tb_no+'" value="'+id_kemasansepuluh+'">'+
							'<input type="hidden" name="tabel_idkemasanseratus[]" id="tabel_idkemasanseratus'+tb_no+'" value="'+id_kemasanseratus+'">'+
							'<input type="hidden" name="tabel_idcap[]" id="tabel_idcap'+tb_no+'" value="'+id_cap+'">'+
							'<input type="hidden" name="tabel_idkualitasproses[]" id="tabel_idkualitasproses'+tb_no+'" value="'+id_kualitasproses+'">'+
							'<input type="hidden" name="tabel_idkualitasperiksa[]" id="tabel_idkualitasperiksa'+tb_no+'" value="'+id_kualitasperiksa+'">'+
							'<input type="hidden" name="tabel_keterangan[]" id="tabel_keterangan'+tb_no+'" value="'+keterangan+'">'+

							'<input type="hidden" name="tabel_kode[]" id="tabel_kode'+tb_no+'" value="'+kode_barang+'">'+
							'<input type="hidden" name="tabel_nama[]" id="tabel_nama'+tb_no+'" value="'+nama_barang+'">'+
							'<input type="hidden" name="tabel_namasatuan[]" id="tabel_namasatuan'+tb_no+'" value="'+nama_satuan+'">'+
							'<input type="hidden" name="tabel_namasatuan_perubahan[]" id="tabel_namasatuan_perubahan'+tb_no+'" value="'+nama_satuanperubahan+'">'+
							'<input type="hidden" name="tabel_namagudang[]" id="tabel_namagudang'+tb_no+'" value="'+nama_gudang+'">'+
							'<input type="hidden" name="tabel_jahit[]" id="tabel_jahit'+tb_no+'" value="'+id_jahit+'">'
					]).draw(false);
					tb_no++;
			}else{
				$("#list_kode"+id_data).text(kode_barang);
				$("#list_nama"+id_data).text(nama_barang);
				$("#list_komposisi"+id_data).text(komposisi);
				$("#list_gudang"+id_data).text(nama_gudang);
				$("#list_upah"+id_data).text(upah);
				$("#list_jumlah"+id_data).text(jumlah);
				$("#list_namasatuan"+id_data).text(nama_satuan);
				$("#list_corak"+id_data).text(corak);
				$("#list_motif"+id_data).text(motif);
				$("#list_kualitas"+id_data).text(kualitas);
				$("#list_dudul"+id_data).text(dudul);

				$("#tabel_id"+id_data).val(id_data);
				$("#tabel_idbarang"+id_data).val(id_barang);
				$("#tabel_idgudang"+id_data).val(id_gudang);
				$("#tabel_namabarang"+id_data).val(nama_barang);				
				
				$("#tabel_jumlah"+id_data).val(jumlah);
				$("#tabel_idsatuan"+id_data).val(satuan);
				$("#tabel_idkomposisi"+id_data).val(id_komposisi);
				$("#tabel_komposisi"+id_data).val(komposisi);
				$("#tabel_idcorak"+id_data).val(id_corak);
				$("#tabel_idmotif"+id_data).val(id_motif);
				$("#tabel_idkualitas"+id_data).val(id_kualitas);
				$("#tabel_iddudul"+id_data).val(id_dudul);
				$("#tabel_idlabel"+id_data).val(id_label);
				$("#tabel_idkemasan"+id_data).val(id_kemasan);
				$("#tabel_idkemasansatuan"+id_data).val(id_kemasansatuan);
				$("#tabel_idkemasansepuluh"+id_data).val(id_kemasansepuluh);
				$("#tabel_idkemasanseratus"+id_data).val(id_kemasanseratus);
				$("#tabel_idcap"+id_data).val(id_cap);
				$("#tabel_idkualitasproses"+id_data).val(id_kualitasproses);
				$("#tabel_idkualitasperiksa"+id_data).val(id_kualitasperiksa);
				$("#tabel_keterangan"+id_data).val(keterangan);
				$("#tabel_jahit"+id_data).val(id_jahit);

				$("#tabel_kode"+id_data).val(kode_barang);
				$("#tabel_nama"+id_data).val(nama_barang);
				$("#tabel_namagudang"+id_data).val(nama_gudang);
				$("#tabel_namasatuan"+id_data).val(nama_satuan);

				//--- perubahan satuan
				//$("#list_perubahan"+id_data).text(total_perubahan);
				//$("#list_namasatuan_perubahan"+id_data).text(nama_satuanperubahan);
				//$("#tabel_jumlah_perubahan"+id_data).val(jumlah_perubahan);
				//$("#tabel_idsatuan_perubahan"+id_data).val(satuan_perubahan);
				//$("#tabel_namasatuan_perubahan"+id_data).val(nama_satuanperubahan);
				//$("#tabel_stok_perubahan"+id_data).val(total_perubahan);

				$("#list_perubahan"+id_data).text(tampil_jp);
				$("#list_namasatuan_perubahan"+id_data).text(nama_satuanperubahan);
				$("#tabel_jumlah_perubahan"+id_data).val(jumlah_perubahan);
				$("#tabel_idsatuan_perubahan"+id_data).val(satuan_perubahan);
				$("#tabel_namasatuan_perubahan"+id_data).val(nama_satuanperubahan);
			}
		
		$("#exampleModal").modal('hide');
		/*
		get_jum();*/
		}
	})

	function edit_table(id){
		var id_barang = $("#tabel_idbarang"+id).val();
		var id_gudang = $("#tabel_idgudang"+id).val();
		var jumlah = $("#tabel_jumlah"+id).val();

		var satuan = $("#tabel_idsatuan"+id).val();
		var komposisi = $("#tabel_komposisi"+id).val();
		var id_komposisi = $("#tabel_idkomposisi"+id).val();

		var id_corak = $("#tabel_idcorak"+id).val();
		var id_motif = $("#tabel_idmotif"+id).val();
		var id_kualitas = $("#tabel_idkualitas"+id).val();
		var id_dudul = $("#tabel_iddudul"+id).val();
		var id_label = $("#tabel_idlabel"+id).val();
		var id_kemasan = $("#tabel_idkemasan"+id).val();
		var id_kemasansatuan = $("#tabel_idkemasansatuan"+id).val();
		var id_kemasansepuluh = $("#tabel_idkemasansepuluh"+id).val();
		var id_kemasanseratus = $("#tabel_idkemasanseratus"+id).val();
		var id_cap = $("#tabel_idcap"+id).val();
		var id_kualitasproses = $("#tabel_idkualitasproses"+id).val();
		var id_kualitasperiksa = $("#tabel_idkualitasperiksa"+id).val();
		var keterangan = $("#tabel_keterangan"+id).val();
		var stok = $("#tabel_stok"+id).val();
		var id_jahit = $("#tabel_jahit"+id).val();

		//--- Perubahan Satuan
		var jumlah_perubahan = $("#tabel_jumlah_perubahan"+id).val();
		var satuan_perubahan = $("#tabel_idsatuan_perubahan"+id).val();
		var nama_satuanperubahan = $("#tabel_namasatuan_perubahan"+id).val();
		var total_perubahan = $("#tabel_stok_perubahan"+id).val();
		console.log(jumlah_perubahan+'jumlah',satuan_perubahan+'satuan_perubahan',nama_satuanperubahan+'nama',total_perubahan+'total');

		$("[name=popup_id_table]").val(id);
		$("[name=popup_barang]").val(id_barang).trigger('change');
		$("[name=popup_gudang]").val(id_gudang).trigger('change');
		$("[name=popup_jumlah]").val(jumlah);
		if(id_proses != 44 && nama_proses != 'potong'){
			$("[name=popup_jumlah]").attr('placeholder', stok);
			$("[name=popup_jumlah]").attr('min',0);
			$("[name=popup_jumlah]").attr('max',stok);	
		}
		$("[name=popup_corak]").val(id_corak).trigger('change');
		$("[name=popup_motif]").val(id_motif).trigger('change');
		$("[name=popup_kualitas]").val(id_kualitas).trigger('change');
		$("[name=popup_dudul]").val(id_dudul).trigger('change');
		$("[name=popup_label]").val(id_label).trigger('change');
		$("[name=popup_kemasan]").val(id_kemasan).trigger('change');
		$("[name=popup_kemasansatuan]").val(id_kemasansatuan).trigger('change');
		$("[name=popup_kemasansepuluh]").val(id_kemasansepuluh).trigger('change');
		$("[name=popup_kemasanseratus]").val(id_kemasanseratus).trigger('change');
		$("[name=popup_cap]").val(id_cap).trigger('change');
		$("[name=popup_kualitasproses]").val(id_kualitasproses).trigger('change');
		$("[name=popup_periksa]").val(id_kualitasperiksa).trigger('change');

		$("[name=popup_satuan]").val(satuan).trigger('change');
		$("[name=popup_komposisi]").val(id_komposisi).trigger('change');
		$("[name=popup_keterangan]").val(keterangan);
		$("[name=popup_jahit]").val(id_jahit).trigger('change');

		// if(satuan_perubahan != '' || satuan_perubahan != 0){
		// 	$("#all_menghasilkan").hide();
		// 	$("#c_peringatan").hide();
		// 	$("[name=popup_satuanperubahan]").val(satuan_perubahan);
		// 	$("[name=popup_jumlahperubahan]").val(jumlah_perubahan);
		// 	$("[name=popup_nama_satuanperubahan]").val(jumlah_perubahan);
		// 	$("[name=popup_stokrencana]").val(total_perubahan);
		// 	$("#id_menghasilkan").text(total_perubahan+' '+nama_satuanperubahan);
		// }else{
		// 	$("#all_menghasilkan").hide();
		// 	$("#c_peringatan").hide();	
		// }

		if(satuan_perubahan != '' || satuan_perubahan != 0){
			$("#all_menghasilkan").hide();
			$("#c_peringatan").hide();
			// $("[name=popup_satuanperubahan]").val(satuan_perubahan);
			// $("[name=popup_jumlahperubahan]").val(jumlah_perubahan);
			// $("[name=popup_nama_satuanperubahan]").val(jumlah_perubahan);
			$("#id_menghasilkan").text(jumlah_perubahan+' '+nama_satuanperubahan);

			var tampil_jp = 0;
			tampil_jp = parseFloat(jumlah)*parseFloat(jumlah_perubahan);
			tampil_jp = number_test(tampil_jp);

			$("[name=popup_menghasilkan]").val(tampil_jp);
			$("[name=popup_satuanhasil]").val(satuan_perubahan).trigger('change');
		}else{
			$("#all_menghasilkan").hide();
			$("#c_peringatan").hide();
			$("[name=popup_menghasilkan]").val('');
			$("[name=popup_satuanhasil]").val('11').trigger('change');
				
		}

		$("#exampleModal").modal('show');
	}

	function hapus(d){
		table_hasil.row(d.parents('tr')).remove().draw();
	}

	function get_konversi(id_barang){
		$.ajax({
			url: "{{ url('barangkeluar/get_konversi')}} ",
			type: 'post',
			data: {id : id_barang},
			headers : {
				'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
			},
			success: function(result){
				if(result.length > 0){
					var n = parseInt(result[0].nilai_akhir)/parseInt(result[0].nilai_awal);
					$("[name=store_konversi]").val(n);
				}else{
					
				}
			}
		})
	}

	function get_edit(id){
		$.ajax({
			url: "{{ url('barangmasuk/get_edit')}} ",
			type: 'post',
			data: {id : id},
			headers : {
				'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
			},
			success: function(result){
				if(result.length > 0){
					for(i in result){
						// var jum_satuan = result[i].jumlah;
						// var jum_perubahan = result[i].jumlah_rencana;
						// var jum_hasil = parseInt(jum_satuan)*parseInt(jum_perubahan);
						// var total_perubahan = parseFloat(jum_hasil)+' '+result[i].nama_satuanperubahan; 

						var jumlah_perubahan = 0;
						var tampil_jp = 0;
						if(result[i].id_satuanperubahan != ''){
							

							jumlah_perubahan = result[i].jumlah_rencana;
							jumlah_perubahan = number_test(jumlah_perubahan);
							tampil_jp = parseFloat(result[i].jumlah)*parseFloat(jumlah_perubahan);
							tampil_jp = number_test(tampil_jp);
						}else{
							jumlah_perubahan = number_test(jumlah_perubahan);
							tampil_jp = number_test(tampil_jp);


						}


						

						
						table_hasil.row.add(['<div><center></center></div>',
						'<div id="list_kode'+result[i].id_masuk+'">'+result[i].kode_barang+'</div>',
						'<div id="list_nama'+result[i].id_masuk+'">'+result[i].nama_barang+'</div>',
						'<div id="list_komposisi'+result[i].id_masuk+'">'+result[i].nama_komposisi+'</div>',
						'<div id="list_jumlah'+result[i].id_masuk+'">'+result[i].jumlah+'</div>',
						'<div id="list_namasatuan'+result[i].id_masuk+'">'+result[i].nama_satuan+'</div>',
						'<div id="list_perubahan'+result[i].id_masuk+'">'+tampil_jp+'</div>',
						'<div id="list_namasatuan_perubahan'+result[i].id_masuk+'">'+result[i].nama_satuanperubahan+'</div>',
						'<div id="list_gudang'+result[i].id_masuk+'">'+result[i].nama_gudang+'</div>',
						'<div id="list_corak'+result[i].id_masuk+'">'+result[i].nama_corak+'</div>',
						'<div><button type="button" class="btn bg-warning-400" onclick="edit_table('+result[i].id_masuk+')"><i class="icon-pencil"></i> </button><button class="btn bg-danger-800" type="button"  onclick="hapus($(this))""><i class="icon-eraser"></i></button></div>'+
							'<input type="hidden" id="tabel_idtable'+result[i].id_masuk+'" name="tabel_idtable[]" value="'+result[i].id_masuk+'">'+
							'<input type="hidden" name="tabel_id[]" class="tabel_id" id="tabel_id'+result[i].id_masuk+'" value="'+result[i].id_masuk+'">'+
							'<input type="hidden" name="tabel_idbarang[]" id="tabel_idbarang'+result[i].id_masuk+'" value="'+result[i].id_barang+'">'+
							'<input type="hidden" name="tabel_idgudang[]" id="tabel_idgudang'+result[i].id_masuk+'" value="'+result[i].id_gudang+'">'+
							'<input type="hidden" name="tabel_jumlah[]" id="tabel_jumlah'+result[i].id_masuk+'" value="'+result[i].jumlah+'">'+
							'<input type="hidden" name="tabel_jumlah_perubahan[]" id="tabel_jumlah_perubahan'+result[i].id_masuk+'" value="'+jumlah_perubahan+'">'+
							'<input type="hidden" name="tabel_stok_perubahan[]" id="tabel_stok_perubahan'+result[i].id_masuk+'" value="">'+
							'<input type="hidden" name="tabel_komposisi[]" id="tabel_komposisi'+result[i].id_masuk+'" value="'+result[i].nama_komposisi+'">'+
							'<input type="hidden" name="tabel_idkomposisi[]" id="tabel_idkomposisi'+result[i].id_masuk+'" value="'+result[i].id_komposisi+'">'+
							'<input type="hidden" name="tabel_idsatuan[]" id="tabel_idsatuan'+result[i].id_masuk+'" value="'+result[i].id_satuan+'">'+
							'<input type="hidden" name="tabel_idsatuan_perubahan[]" id="tabel_idsatuan_perubahan'+result[i].id_masuk+'" value="'+result[i].id_satuanperubahan+'">'+
							'<input type="hidden" name="tabel_idcorak[]" id="tabel_idcorak'+result[i].id_masuk+'" value="'+result[i].id_corak+'">'+
							'<input type="hidden" name="tabel_idmotif[]" id="tabel_idmotif'+result[i].id_masuk+'" value="'+result[i].id_motif+'">'+
							'<input type="hidden" name="tabel_idkualitas[]" id="tabel_idkualitas'+result[i].id_masuk+'" value="'+result[i].id_kualitas+'">'+
							'<input type="hidden" name="tabel_iddudul[]" id="tabel_iddudul'+result[i].id_masuk+'" value="'+result[i].id_kualitas_dudul+'">'+
							'<input type="hidden" name="tabel_idlabel[]" id="tabel_idlabel'+result[i].id_masuk+'" value="'+result[i].id_label+'">'+
							'<input type="hidden" name="tabel_idkemasan[]" id="tabel_idkemasan'+result[i].id_masuk+'" value="'+result[i].id_kemasan+'">'+
							'<input type="hidden" name="tabel_idkemasansatuan[]" id="tabel_idkemasansatuan'+result[i].id_masuk+'" value="'+result[i].id_kemasansatuan+'">'+
							'<input type="hidden" name="tabel_idkemasansepuluh[]" id="tabel_idkemasansepuluh'+result[i].id_masuk+'" value="'+result[i].id_kemasansepuluh+'">'+
							'<input type="hidden" name="tabel_idkemasanseratus[]" id="tabel_idkemasanseratus'+result[i].id_masuk+'" value="'+result[i].id_kemasanseratus+'">'+
							'<input type="hidden" name="tabel_idcap[]" id="tabel_idcap'+result[i].id_masuk+'" value="'+result[i].id_cap+'">'+
							'<input type="hidden" name="tabel_idkualitasproses[]" id="tabel_idkualitasproses'+result[i].id_masuk+'" value="'+result[i].id_kualitas_proses+'">'+
							'<input type="hidden" name="tabel_idkualitasperiksa[]" id="tabel_idkualitasperiksa'+result[i].id_masuk+'" value="'+result[i].id_kualitas_periksa+'">'+
							'<input type="hidden" name="tabel_keterangan[]" id="tabel_keterangan'+result[i].id_masuk+'" value="'+result[i].keterangan+'">'+

							'<input type="hidden" name="tabel_kode[]" id="tabel_kode'+result[i].id_masuk+'" value="'+result[i].kode_barang+'">'+
							'<input type="hidden" name="tabel_nama[]" id="tabel_nama'+result[i].id_masuk+'" value="'+result[i].nama_barang+'">'+
							'<input type="hidden" name="tabel_namasatuan[]" id="tabel_namasatuan'+result[i].id_masuk+'" value="'+result[i].nama_satuan+'">'+
							'<input type="hidden" name="tabel_namasatuan_perubahan[]" id="tabel_namasatuan_perubahan'+result[i].id_masuk+'" value="'+result[i].nama_satuanperubahan+'">'+
							'<input type="hidden" name="tabel_namagudang[]" id="tabel_namagudang'+result[i].id_masuk+'" value="'+result[i].nama_gudang+'">'+
							'<input type="hidden" name="tabel_jahit[]" id="tabel_jahit'+result[i].id_masuk+'" value="'+result[i].id_jahit+'">'
						]).draw(false);
					}
				}else{
					
				}
			}
		})
	}

	$("[name=popup_jumlah]").keyup(function(){
		var jum = parseFloat($("[name=popup_jumlah]").val());
		if(isNaN(jum) || jum == 0 || jum == ''){
			jum = parseFloat(0);
		}
		var nilai = parseFloat($("[name=store_konversi]").val());

		var tot = jum*nilai;
		$("[name=popup_jumlah_konv]").val(tot);
	})

	$("[name=popup_jumlah_konv]").keyup(function(){
		var jum = parseFloat($("[name=popup_jumlah]").val());
		if(isNaN(jum) || jum == 0 || jum == ''){
			jum = parseFloat(0);
		}
		var nilai = parseFloat($("[name=store_konversi]").val());

		var tot = jum*nilai;
		$("[name=popup_jumlah]").val(tot);
	})

	// Tak edit ge nambah konversi	
	$("[name=popup_satuan]").change(function(){
		var id_barangkeluar = $("[name=barangkeluar]").val();
		var jumlah = $("[name=popup_jumlah]").val();
		var satuan = $(this).val();
		var motif = $("[name=popup_motif]").val();
		var corak = $("[name=popup_corak]").val();

		c_cek = '';
		if(motif != ''){
			c_cek = motif;
		}else if(corak != ''){
			c_cek = corak;
		}
		if(jumlah != '' && satuan != '' && c_cek != ''){
		$.ajax({
			url: "{{ url('barangmasuk/get_perubahansatuan')}} ",
			type: 'post',
			data: {id_barangkeluar : id_barangkeluar, jumlah : jumlah, satuan : satuan, motif : motif,  motif_barang : corak},
			headers : {
				'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
			},
			success: function(result){
				if(result.status == 1){
					var jum_bagi = parseInt(jumlah)/parseInt(result.data.jumlah_satuanawal);
					var jum_hasil = parseInt(jum_bagi)*parseInt(result.data.jumlah_satuanperubahan);
					var n = parseInt(jum_hasil)+' '+result.data.nama_satuanperubahan;	
					$("#all_menghasilkan").show();
					/*$("#c_peringatan").hide();*/
					$("#id_menghasilkan").text(n);
					$("[name=popup_jumlahrencana]").val(result.data.jumlah_hasil);
					$("[name=popup_satuanrencana]").val(result.data.id_satuanperubahan);
					$("[name=popup_nama_satuanrencana]").val(result.data.nama_satuanperubahan);
					$("[name=popup_stokrencana]").val(parseInt(jum_hasil));
				}else{
					$("#all_menghasilkan").hide();
					$("#c_peringatan").hide();
					$("#c_peringatan").text('');
					$("#id_menghasilkan").text('');
					$("[name=popup_jumlahrencana]").val('');
					$("[name=popup_satuanrencana]").val('');
					$("[name=popup_nama_satuanrencana]").val('');
					$("[name=popup_stokrencana]").val('');
				}
			}
		})
	}else{
				/*$("#c_peringatan").show();
				$("#c_peringatan").text('Ada Kolom yang masih kosong*');
				$("#c_peringatan").text('');*/
				$("#all_menghasilkan").hide();
				$("#c_peringatan").hide();
				$("#c_peringatan").text('');
				$("#id_menghasilkan").text('');
				$("[name=popup_jumlahrencana]").val('');
				$("[name=popup_satuanrencana]").val('');
				$("[name=popup_nama_satuanrencana]").val('');
				$("[name=popup_stokrencana]").val('');
	}
	})

	// $("[name=popup_jumlah]").keyup(function(){
	// 	var id_barangkeluar = $("[name=barangkeluar]").val();
	// 	var jumlah = $(this).val();
	// 	var satuan = $("[name=popup_satuan]").val();
	// 	var motif = $("[name=popup_motif]").val();
	// 	var corak = $("[name=popup_corak]").val();
	// 	c_cek = '';
	// 	if(motif != ''){
	// 		c_cek = motif;
	// 	}else if(corak != ''){
	// 		c_cek = corak;
	// 	}
	// 	if(jumlah != '' && satuan != '' && c_cek != ''){
	// 	$.ajax({
	// 		url: "{{ url('barangmasuk/get_perubahansatuan')}} ",
	// 		type: 'post',
	// 		data: {id_barangkeluar : id_barangkeluar, jumlah : jumlah, satuan : satuan, motif : motif,  motif_barang : corak},
	// 		headers : {
	// 			'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
	// 		},
	// 		success: function(result){
	// 			if(result.status == 1){
	// 				var jum_bagi = parseInt(jumlah)/parseInt(result.data.jumlah_satuanawal);
	// 				var jum_hasil = parseInt(jum_bagi)*parseInt(result.data.jumlah_satuanperubahan);
	// 				var n = parseInt(jum_hasil)+' '+result.data.nama_satuanperubahan;	
	// 				$("#all_menghasilkan").show();
	// 				/*$("#c_peringatan").hide();*/
	// 				$("#id_menghasilkan").text(n);
	// 				$("[name=popup_jumlahrencana]").val(result.data.jumlah_hasil);
	// 				$("[name=popup_satuanrencana]").val(result.data.id_satuanperubahan);
	// 				$("[name=popup_nama_satuanrencana]").val(result.data.nama_satuanperubahan);
	// 				$("[name=popup_stokrencana]").val(parseInt(jum_hasil));

	// 				$("[name=popup_menghasilkan]").val(parseInt(jum_hasil));
	// 				$("[name=popup_satuanhasil]").val(result.data.id_satuanperubahan).trigger('change');
	// 			}else{
	// 				$("#all_menghasilkan").hide();
	// 				$("#c_peringatan").hide();
	// 				$("#c_peringatan").text('');
	// 				$("#id_menghasilkan").text('');
	// 				$("[name=popup_jumlahrencana]").val('');
	// 				$("[name=popup_satuanrencana]").val('');
	// 				$("[name=popup_nama_satuanrencana]").val('');
	// 				$("[name=popup_stokrencana]").val('');

	// 				$("[name=popup_menghasilkan]").val('');
	// 				$("[name=popup_satuanhasil]").val(null).trigger('change');
	// 			}
	// 		}
	// 	})
	// }else{
				
	// 			$("#all_menghasilkan").hide();
	// 			$("#c_peringatan").hide();
	// 			$("#c_peringatan").text('');
	// 			$("#id_menghasilkan").text('');
	// 			$("[name=popup_jumlahrencana]").val('');
	// 			$("[name=popup_satuanrencana]").val('');
	// 			$("[name=popup_nama_satuanrencana]").val('');
	// 			$("[name=popup_stokrencana]").val('');

	// 			$("[name=popup_menghasilkan]").val('');
	// 			$("[name=popup_satuanhasil]").val(null).trigger('change');
	// }
	// })

	function get_perubahansatuan(id, status){
		var id_barangkeluar = $("[name=barangkeluar]").val();
		var jumlah = '';				
		var satuan = $("[name=popup_satuan").val();
		var jumlah_hasil = '';
		var satuan_hasil = $("[name=popup_satuanhasil]").val();
		var motif = '';
		var corak = '';
		if($("[name=popup_jumlah]").val() != ''){
		var jumlah = $("[name=popup_jumlah]").val();
		}
		if($("[name=popup_menghasilkan]").val() != ''){
		var jumlah_hasil = $("[name=popup_menghasilkan]").val();
		}
		if($("[name=popup_motif]").val() != ''){
		var motif = $("[name=popup_motif]").val();
		}
		if($("[name=popup_corak]").val() != ''){
		var corak = $("[name=popup_corak]").val();
		}

		
		$.ajax({
			url: "{{ url('barangmasuk/get_perubahansatuan')}} ",
			type: 'post',
			data: {id_barangkeluar : id_barangkeluar, jumlah : jumlah, satuan : satuan, jumlah_hasil: jumlah_hasil, satuan_hasil: satuan_hasil, motif : motif,  motif_barang : corak},
			headers : {
				'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
			},
			success: function(result){
				if(result.status == 1){
					var jum_bagi = parseFloat(jumlah)/parseFloat(result.data.jumlah_satuanawal);
					var jum_hasil = parseFloat(jum_bagi)*parseFloat(result.data.jumlah_satuanperubahan);
					var jum_awal = parseFloat(jumlah_hasil)*(parseFloat(result.data.jumlah_satuanawal)/parseFloat(result.data.jumlah_satuanperubahan));
					var n = parseInt(jum_hasil)+' '+result.data.nama_satuanperubahan;	

					$("[name=popup_jumlahrencana]").val(parseInt(result.data.jumlah_hasil));
					$("[name=popup_satuanrencana]").val(result.data.id_satuanperubahan);
					$("[name=popup_nama_satuanrencana]").val(result.data.nama_satuanperubahan);
					var hasil = '';
					var awal = '';
					if(!isNaN(parseFloat(jum_hasil.toFixed(3)))){
						hasil = parseFloat(jum_hasil.toFixed(3)); 
					}
					if(!isNaN(parseFloat(jum_awal.toFixed(3)))){
						awal = parseFloat(jum_awal.toFixed(3)); 
					}
					//inputan
					if(status==1){
						$("[name=popup_menghasilkan]").val(hasil);
						$("[name=popup_satuanhasil]").val(result.data.id_satuanperubahan).trigger('change');
					}else{
						$("[name=popup_jumlah]").val(awal);
					//	$("[name=popup_satuan]").val(satuan).trigger('change');
					}
				}else{
					

					//inputan
					$("[name=popup_menghasilkan]").val('');
					$("[name=popup_satuanhasil]").val(null).trigger('change');
				}
			}
		})
	
	}

	function get_nomor(this_){
        //var tgl = this_.val();
        var id_lokasi = {{ $data['masuk']->id_lokasi }};
        $.ajax({
            url: "{{ url('barangmasuk/get_nomor') }}",
            type: 'get',
            dataType: 'json',
            data: {id : $("[name=id_barangmasuk]").val() , tgl : '', id_lokasi : id_lokasi},
            success: function(respon){
                $("[name=nomor").val(respon.nomor);
                $("[name=nomor_ext]").val(respon.faktur);
            }
        })


    }

    $(document).on('shown.bs.modal', function (e) {
		perkiraan_hasil();
		
	})

    function isInArray(value, array) {
        return array.indexOf(value) > -1;
    }

    function perkiraan_hasil(){
        var val = parseInt(id_proses);
        var id_ = [33];
        //console.log(id_+" | "+val);
        if(isInArray(val, id_) == true){
           $("[name=popup_jumlah]").attr('onkeyup', 'maksimal($(this)); get_perubahansatuan($(this), 1)');
           $("[name=popup_menghasilkan]").attr('onkeyup', 'maksimal($(this)); get_perubahansatuan($(this), 2)');
        
        }else{
   			$("[name=popup_jumlah]").attr('onkeyup', 'maksimal($(this));');
           $("[name=popup_menghasilkan]").attr('onkeyup', 'maksimal($(this));');
        }
    }

</script>
@endsection